# nixos-config

## Install

### Patitioning

- Easiest is to run [disko](https://git.kabtop.de/Kabbone/nixos-config/src/branch/main/disko)
- **Classic way:**
Partition disk with gdisk:
1. EFI Partition, size 512M, type "EF00", Label "NIXBOOT"

2. Root Partition, size 100%, type "8300", Label "NIXROOT"

### Installing

1. mount all the partitions and subvolumes to /mnt

2. generate initial nixos config
```
# nixos-generate-config --root /mnt
```

3. clone flake and check config
```
# cd /mnt/etc/nixos/
# git clone https://git.kabtop.de/Kabbone/nixos-config.git
```

4. install system
```
# nixos-install --flake .#<host>
```

5. reboot
